"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
function build(env, inputs, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let [platform] = inputs;
        yield env.hooks.fire('build:before', { env });
        const project = yield env.project.load();
        if (project.type === 'ionic-angular') {
            const { build } = yield Promise.resolve().then(() => require('../lib/ionic-angular/build'));
            yield build({ env, options: Object.assign({ platform }, options) });
        }
        else {
            env.log.warn(`Not performing Ionic build for project type: ${chalk_1.default.bold(project.type)}.`);
        }
        yield env.hooks.fire('build:after', { env, platform });
    });
}
exports.build = build;
