"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = require("path");
exports.APP_SCRIPTS_INTENT = 'app-scripts';
function importAppScripts(env) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const appScriptsPath = path.resolve(env.project.directory, 'node_modules', '@ionic', 'app-scripts'); // TODO
        return require(appScriptsPath);
    });
}
exports.importAppScripts = importAppScripts;
exports.APP_SCRIPTS_OPTIONS = [
    {
        name: 'prod',
        description: 'Build the application for production',
        type: Boolean,
        intents: [exports.APP_SCRIPTS_INTENT],
    },
    {
        name: 'aot',
        description: 'Perform ahead-of-time compilation for this build',
        type: Boolean,
        intents: [exports.APP_SCRIPTS_INTENT],
        advanced: true,
    },
    {
        name: 'minifyjs',
        description: 'Minify JS for this build',
        type: Boolean,
        intents: [exports.APP_SCRIPTS_INTENT],
        advanced: true,
    },
    {
        name: 'minifycss',
        description: 'Minify CSS for this build',
        type: Boolean,
        intents: [exports.APP_SCRIPTS_INTENT],
        advanced: true,
    },
    {
        name: 'optimizejs',
        description: 'Perform JS optimizations for this build',
        type: Boolean,
        intents: [exports.APP_SCRIPTS_INTENT],
        advanced: true,
    },
    {
        name: 'env',
        description: '',
        intents: [exports.APP_SCRIPTS_INTENT],
        visible: false,
    }
];
