import { IConfig, StarterList, StarterManifest, StarterTemplate } from '../definitions';
export declare const STARTER_BASE_URL = "https://d2ql0qc7j8u4b2.cloudfront.net";
export declare function isProjectNameValid(name: string): boolean;
/**
 * If project only contains files generated by GH, it’s safe.
 * We also special case IJ-based products .idea because it integrates with CRA:
 * https://github.com/facebookincubator/create-react-app/pull/368#issuecomment-243446094
 */
export declare function isSafeToCreateProjectIn(root: string): Promise<boolean>;
export declare function getStarterTemplateText(templateList: StarterTemplate[]): string;
export declare function getStarterTemplateTextList(templateList: StarterTemplate[]): string[];
export declare function getHelloText(): string;
export declare function readStarterManifest(p: string): Promise<StarterManifest>;
export declare function updatePackageJsonForCli(projectRoot: string, appName: string): Promise<void>;
export declare function getStarterList(config: IConfig): Promise<StarterList>;
export declare const STARTER_TEMPLATES: StarterTemplate[];
